package com.cxyxiaomo.epp.access.dao;

import com.cxyxiaomo.epp.common.pojo.Gate;
import com.cxyxiaomo.epp.common.vo.GateVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GateDao {

    public boolean addGate(Gate gate);

    public boolean updateGate(Gate gate);

    public List<Gate> getGateList(GateVO gateVO);

    public Gate getGateById(Long gateId);

    public boolean deleteGateById(Long gateId);
}
